summarylogtreecommitdiffstats
path: root/sfacctd.rc.d
diff options
context:
space:
mode:
Diffstat (limited to 'sfacctd.rc.d')
-rw-r--r--sfacctd.rc.d40
1 files changed, 40 insertions, 0 deletions
diff --git a/sfacctd.rc.d b/sfacctd.rc.d
new file mode 100644
index 00000000000..9af03e84c1f
--- /dev/null
+++ b/sfacctd.rc.d
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+CONF=/etc/pmacct/sfacctd.conf
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+[ -f $CONF ]
+
+PID=$(pidof -o %PPID /usr/sbin/sfacctd)
+case "$1" in
+ start)
+ stat_busy "Starting pmacct sFlow Accounting Daemon"
+ [ -z "$PID" ] && /usr/sbin/sfacctd -f $CONF
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon sfacctd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping pmacct sFlow Accounting Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon sfacctd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0